package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalInstanceCcListCollection extends AbstractObjectCollection 
{
    public FeishuApprovalInstanceCcListCollection()
    {
        super(FeishuApprovalInstanceCcListInfo.class);
    }
    public boolean add(FeishuApprovalInstanceCcListInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalInstanceCcListCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalInstanceCcListInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalInstanceCcListInfo get(int index)
    {
        return(FeishuApprovalInstanceCcListInfo)getObject(index);
    }
    public FeishuApprovalInstanceCcListInfo get(Object key)
    {
        return(FeishuApprovalInstanceCcListInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalInstanceCcListInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalInstanceCcListInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalInstanceCcListInfo item)
    {
        return super.indexOf(item);
    }
}